> For the complete documentation index, see [llms.txt](https://docs.blockflow.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockflow.network/use-cases/lido-finance/databases/sharesburn.md).

# SharesBurn

This table stores data related to the burning of Lido shares, potentially during a rebase event. It includes the account address, the token amounts before and after the rebase, and the number of shares burned.

### Schema

<table><thead><tr><th width="274">Data Fields</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>A unique identifier for the share burn event.</td></tr><tr><td>account</td><td>A unique identifier for the share burn event.</td></tr><tr><td>post_rebase_token_amount</td><td>A unique identifier for the share burn event.</td></tr><tr><td>pre_rebase_token_amount</td><td>The amount of tokens held by the account before the rebase.</td></tr><tr><td>shares_amount</td><td>The amount of tokens held by the account before the rebase.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockflow.network/use-cases/lido-finance/databases/sharesburn.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
